<div class="card">
  <h3>Listado de Catalogos</h3>
  <div class="card-body">
     <table class="table" >
        <thead>
            <tr>
                <th scope="col">Categoria</th>
                <th scope="col">Descripción</th>
                <th scope="col">Editar</th>
                <th scope="col">Eliminar</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor ="let catalogo of catalogos" >
                <td>{{catalogo.categoria}}</td>
                <td>{{catalogo.descripcion}}</td>
                <td>
                    <button type="submit" class="btn btn-outline-primary" id="botonactualizar" data-bs-toggle="modal" data-bs-target="#modalcatalogo" (click)="obtenerValores(catalogo.categoria)">Editar</button>
                </td>
                <td>
                    <button type="submit" class="btn btn-outline-danger" id="botoneliminar" (click)="showConfirmacion(catalogo.codCatalogo)">Eliminar</button>
                </td>
            </tr>
        </tbody>
    </table>
  </div>
</div>

<div class="d-grid gap-2 col-4 mx-auto"> 
<!-- Button trigger modal -->
<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modalcatalogo" id="botonmodal" >
  Agregar catalogo
</button>
</div>
<!-- Modal -->
<div class="modal fade" id="modalcatalogo" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Registar Catalogo</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <form [formGroup]="form">
            <div class="form-floating mb-3">
                <input type="text" class="form-control" id="categotria" placeholder="categoria" maxlength="50" formControlName="categoria">
                <label for="categoria">Categoria</label>
            </div>
            <div class="form-floating">
                <textarea class="form-control" placeholder="Descripcion" id="descripcion" style="height: 100px" maxlength="300" formControlName="descripcion"></textarea>
                <label for="descripcion">Descripción</label>
            </div>
        </form>
        
      </div>
      <div class="modal-footer">
        <button type="reset" class="btn btn-outline-danger" data-bs-dismiss="modal">Cancelar</button>
        <button type="submit" class="btn btn-outline-primary" [disabled]="!form.valid" (click)="save($event)">Guardar cambios</button>
      </div>
    </div>
  </div>
</div>
